import os
import numpy as np
import matplotlib.pyplot as plt

# IO: This loads the timings for you 
threads, timings = [], []
for file in os.listdir('timings'):
    with open(f'timings/{file}', 'r') as f:
        n, t = f.read().strip().split(',')
        if n != 'None':
            threads.append(int(n))
            timings.append(float(t))
threads = np.array(threads)
timings = np.array(timings)

print('This is the data I loaded: threads =', threads, ', timings =',timings)

fig, axs = plt.subplots()

# CREATE YOUR PLOT HERE
# Remember to label your axis
# Feel free to make it pretty

plt.savefig('threads_v_timings.png', dpi=300)
